QGIS Application - Bug report #18002
Scale jumps from mouse tremor
2018-01-30 07:22 AM - Garth Fletcher

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.15 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 25898
Description

0OS X 10.12.6, QGIS 2.18.15 (-4 KyngChaos OS X distrib and earlier)

When clicking on the map with the zoom (magnifying glass) tools the slightest inadvertent movement of the mouse while pressed causes
the scale factor to jump - e.g., from 1:1,000 to 1:1,000,000 (zoom out tool) or to 1:10 (zoom in tool).

Apparently the smallest movement is interpreted as a request to adjust scale. This is much too "sensitive" and frequently results in large
scale jumps from very small hand trembles.

This could be avoided by requiring some minimum movement size (perhaps 10x10 pixels) before interpreting the movement as a request
to rescale rather than just a normal zoom in or out command.

Also, while being able to select a portion of the map to be rescaled to fit the window using the zoom in tool, | don't understand the logic of
the zoom out tool in which selecting a small part of the map causes it to zoom out to a much larger scale? Perhaps this feature should
only be implemented for the zoom in tool?

Related issues:
Related to QGIS Application - Bug report # 18892: Scale jump from mouse tremor Closed 2018-05-01

History

#1 - 2018-01-30 10:37 AM - Nyall Dawson
- Resolution set to up/downstream

- Status changed from Open to Closed

This is fixed for 3.0 - a 2.18 fix is not possible as it relies on a fix introduced in gt 5.

#2 - 2018-05-02 01:31 PM - Jiirgen Fischer
- Related to Bug report #18892: Scale jump from mouse tremor added

2024-04-20 1/1




